Create a contact
Create a new contact
curl --request POST \
--url https://api.slant.app/v1/contacts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"book_id": "abc123xyz",
"first_name": "John",
"last_name": "Doe",
"middle_name": "Robert",
"preferred_name": "Johnny",
"salutation": "Mr.",
"suffix": "Jr.",
"gender": "male",
"designations": "CPA, CFP",
"email_addresses": [
{
"email": "john@example.com",
"email_type": "personal",
"is_primary": true
}
],
"phone_numbers": [
{
"phone_number": "+15555551234",
"phone_type": "mobile",
"is_primary": true
}
],
"addresses": [
{
"line1": "123 Main St",
"line2": "Apt 4B",
"city": "New York",
"state": "NY",
"zip": "10001",
"country_code": "US",
"address_type": "home",
"is_primary": true
}
],
"custom_fields": {
"referral_source": "Conference"
}
}
'import requests
url = "https://api.slant.app/v1/contacts"
payload = {
"book_id": "abc123xyz",
"first_name": "John",
"last_name": "Doe",
"middle_name": "Robert",
"preferred_name": "Johnny",
"salutation": "Mr.",
"suffix": "Jr.",
"gender": "male",
"designations": "CPA, CFP",
"email_addresses": [
{
"email": "john@example.com",
"email_type": "personal",
"is_primary": True
}
],
"phone_numbers": [
{
"phone_number": "+15555551234",
"phone_type": "mobile",
"is_primary": True
}
],
"addresses": [
{
"line1": "123 Main St",
"line2": "Apt 4B",
"city": "New York",
"state": "NY",
"zip": "10001",
"country_code": "US",
"address_type": "home",
"is_primary": True
}
],
"custom_fields": { "referral_source": "Conference" }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
book_id: 'abc123xyz',
first_name: 'John',
last_name: 'Doe',
middle_name: 'Robert',
preferred_name: 'Johnny',
salutation: 'Mr.',
suffix: 'Jr.',
gender: 'male',
designations: 'CPA, CFP',
email_addresses: [{email: 'john@example.com', email_type: 'personal', is_primary: true}],
phone_numbers: [{phone_number: '+15555551234', phone_type: 'mobile', is_primary: true}],
addresses: [
{
line1: '123 Main St',
line2: 'Apt 4B',
city: 'New York',
state: 'NY',
zip: '10001',
country_code: 'US',
address_type: 'home',
is_primary: true
}
],
custom_fields: {referral_source: 'Conference'}
})
};
fetch('https://api.slant.app/v1/contacts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "abc123xyz",
"book_id": "book123xyz",
"person": {
"id": "abc123xyz",
"book_id": "book123xyz",
"first_name": "John",
"last_name": "Doe",
"household_id": "xyz789abc",
"contact_id": "cnt456def",
"role_type": "client",
"middle_name": "Robert",
"salutation": "Mr.",
"suffix": "Jr.",
"maiden_name": "Smith",
"gender": "male",
"designations": "CPA, CFP",
"household_role": "head_of_household",
"preferred_name": "Johnny",
"date_of_birth": "1985-06-15",
"job_title": "Software Engineer",
"ssn": "***-**-6789",
"drivers_license_number": "******7890",
"email_addresses": [
{
"email": "john.doe@example.com",
"email_type": "personal",
"is_primary": true
}
],
"phone_numbers": [
{
"phone_number": "+15555551234",
"phone_type": "mobile",
"is_primary": true,
"extension": "1234"
}
],
"addresses": [
{
"address_type": "home",
"is_primary": true,
"line1": "123 Main St",
"line2": "Apt 4B",
"city": "New York",
"state": "NY",
"zip": "10001",
"country_code": "US"
}
],
"employments": [
{
"business_name": "Acme Corp",
"id": "emp123xyz",
"person_id": "abc123xyz",
"role": "Software Engineer",
"start_date": "2023-01-15",
"end_date": "2024-12-31",
"actively_employed": true
}
],
"custom_fields": {
"preferred_contact_method": "Email",
"risk_tolerance": "Moderate"
}
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"custom_fields": {
"referral_source": "Conference"
}
}{
"error": "invalid_json",
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}Authorizations
OAuth 2.0 Bearer Token from Clerk authentication
Headers
Unique key to ensure idempotent request handling. If a request with the same key was already processed, the original response will be returned.
Body
The book ID
"abc123xyz"
First name
"John"
Last name
"Doe"
Middle name
"Robert"
Preferred name
"Johnny"
Salutation
"Mr."
Suffix
"Jr."
Gender
female, male, nonbinary, other, prefer_not_to_say "male"
Professional designations
"CPA, CFP"
Array of email addresses
Show child attributes
Show child attributes
Array of phone numbers
Show child attributes
Show child attributes
Array of addresses
Show child attributes
Show child attributes
Custom field values as key-value pairs. Keys must match custom field keys defined for the Contact entity type.
{ "referral_source": "Conference" }
Response
contact created
The contact ID
"abc123xyz"
The book ID
"book123xyz"
Show child attributes
Show child attributes
When the contact was created
When the contact was last updated
Custom field values as key-value pairs
{ "referral_source": "Conference" }
